=== packages/invirt-database/debian/changelog ===
invirt-database (0.2.2) unstable; urgency=low

  * Add builds table for storing build history.

 -- Evan Broder <broder@mit.edu>  Sun, 25 Oct 2009 18:45:23 -0400

invirt-database (0.2.1) unstable; urgency=low

  * Add an admins table.

 -- Evan Broder <broder@mit.edu>  Fri, 27 Feb 2009 20:24:27 -0500

invirt-database (0.2.0) unstable; urgency=low

  * Merge invirt-database-server into invirt-database.

 -- Evan Broder <broder@mit.edu>  Fri, 27 Feb 2009 19:38:55 -0500

invirt-database (0.1.9) unstable; urgency=low

  * Make get*Quotas idempotent
  * Move Owner import so that Owner can access session in
    invirt.database.models

 -- Quentin Smith <quentin@mit.edu>  Fri, 27 Feb 2009 14:17:53 -0500

invirt-database (0.1.8) unstable; urgency=low

  [Peter Iannucci]
  * Added Record superclass for models, handling __repr__ consistently.

  [Greg Price]
  invirt.database.record, .owner:
  * use self.c rather than self.__dict__ for SQLAlchemy fields
  * make Record._ignore, Owner.get* classmethods
  * fold FormattableRecord, NullableRecord into Record
  * shorten types in lists to __name__
  
  invirt-quota:
  * refactor code that sets values
  * print full help on no arguments

  all:
  * make EIBTI imports

  [ Quentin Smith ]
  * Add "reusable" column for nics, to avoid reusing addresses that are
    special in some way.

 -- Quentin Smith <quentin@mit.edu>  Fri, 27 Feb 2009 11:51:39 -0500

invirt-database (0.1.7) unstable; urgency=low

  * Disk quotas are measured in gibibytes.
  * Rename invirt-setquotas to invirt-quota.
  * Be explicit about units in invirt-quota.

 -- Evan Broder <broder@mit.edu>  Tue, 17 Feb 2009 04:29:20 -0500

invirt-database (0.1.6) unstable; urgency=low

  * Move invirt-setquotas into this package.
  * Don't explicitly initialize the values for each quota when creating a
    new Owner object.

 -- Evan Broder <broder@mit.edu>  Tue, 17 Feb 2009 03:44:20 -0500

invirt-database (0.1.5) unstable; urgency=low

  * Make the default values on the owners table explicit
    (Note: This is a NOOP, since a nullable field with no otherwise
    specified default defaults to NULL)

 -- Evan Broder <broder@mit.edu>  Tue, 17 Feb 2009 03:36:47 -0500

invirt-database (0.1.4) unstable; urgency=low

  * minor bug fix

 -- Peter A. Iannucci <iannucci@mit.edu>  Tue, 17 Feb 2009 02:59:14 -0500

invirt-database (0.1.3) unstable; urgency=low

  * Added owner table to database with ram, disk, and VM quotas
  * Refactored Owner class into separate sourcefile

 -- Peter A. Iannucci <iannucci@mit.edu>  Tue, 17 Feb 2009 01:31:53 -0500

invirt-database (0.1.2) unstable; urgency=low

  * Clean up the .egg-info directory from the right place.

 -- Evan Broder <broder@mit.edu>  Mon, 05 Jan 2009 23:50:47 -0500

invirt-database (0.1.1) unstable; urgency=low

  * Correct a lintian spelling warning.

 -- Evan Broder <broder@mit.edu>  Mon, 05 Jan 2009 23:40:44 -0500

invirt-database (0.1.0) unstable; urgency=low

  * Turn on lazy loading for all tables

 -- Evan Broder <broder@mit.edu>  Mon, 17 Nov 2008 21:57:35 -0500

invirt-database (0.0.6) unstable; urgency=low

  * Let machines.administrator be NULL

 -- Evan Broder <broder@mit.edu>  Mon, 17 Nov 2008 13:41:48 -0500

invirt-database (0.0.5) unstable; urgency=low

  * Add an architecture field to the autoinstaller table

 -- Evan Broder <broder@mit.edu>  Mon, 17 Nov 2008 12:18:02 -0500

invirt-database (0.0.3) unstable; urgency=low

  * Add attributes to the ORM objects to connect mirrors and cdroms

 -- Evan Broder <broder@mit.edu>  Tue, 28 Oct 2008 03:16:18 -0400

invirt-database (0.0.2) unstable; urgency=low

  * Export mirrors_table and Mirrors from invirt.database.models

 -- Evan Broder <broder@mit.edu>  Tue, 28 Oct 2008 03:04:54 -0400

invirt-database (0.0.1) unstable; urgency=low

  * sipb-xen-database-common -> invirt-database
  * sipb-xen-database-server -> invirt-database-server (a separate source package)
  * sipb-xen-database-client -> invirt-xen-config

 -- Evan Broder <broder@mit.edu>  Sat, 25 Oct 2008 19:22:46 -0400

sipb-xen-database (10.36.1) unstable; urgency=low

  * Typo in the new tables

 -- Evan Broder <broder@mit.edu>  Sat, 25 Oct 2008 15:01:47 -0400

sipb-xen-database (10.36) unstable; urgency=low

  * Kill the remnants of the sipb_xen_database package
  * Add the CDROM mirrors table

 -- Evan Broder <broder@mit.edu>  Sat, 25 Oct 2008 14:48:32 -0400

sipb-xen-database (10.35) unstable; urgency=low

  * Shorten initscript with spiffy new library from sipb-xen-base

 -- Greg Price <price@mit.edu>  Fri, 24 Oct 2008 07:25:56 -0400

sipb-xen-database (10.34) unstable; urgency=low

  * yet another new-sqlalchemy fix, this one post-0.4.2

 -- Greg Price <price@mit.edu>  Thu, 23 Oct 2008 23:02:46 -0400

sipb-xen-database (10.33) unstable; urgency=low

  * Catch calls to restart Postgres and translate them into a sequential
    stop, then start

 -- Evan Broder <broder@mit.edu>  Mon, 20 Oct 2008 13:05:29 -0400

sipb-xen-database (10.32) unstable; urgency=low

  * invirt.database.clear_cache should actually do something

 -- Evan Broder <broder@mit.edu>  Sun, 19 Oct 2008 02:02:37 -0400

sipb-xen-database (10.31) unstable; urgency=low

  * Database-managed VMs should never even think about bridging

 -- Evan Broder <broder@mit.edu>  Sun, 19 Oct 2008 01:46:45 -0400

sipb-xen-database (10.30.4) unstable; urgency=low

  * Fix a typo in the CDROM image path

 -- Evan Broder <broder@mit.edu>  Wed, 15 Oct 2008 13:21:10 -0400

sipb-xen-database (10.30.3) unstable; urgency=low

  * fix copy-paste errors in initscript: this is database, not console
  * fix "typo" in initscript for package name printed in logs

 -- Greg Price <price@mit.edu>  Sat, 11 Oct 2008 17:50:11 -0700

sipb-xen-database (10.30.2) unstable; urgency=low

  * Fix a typo in the CDROM lookup in sipb-database

 -- Evan Broder <broder@mit.edu>  Sat, 11 Oct 2008 19:17:05 -0400

sipb-xen-database (10.30.1) unstable; urgency=low

  * Don't strip quotes that won't be there


