=== packages/xvm-authz-locker/debian/changelog ===
xvm-authz-locker (0.0.2) unstable; urgency=low

  * Install the authz module as invirt.authz, instead of xvm.authz.locker

 -- Evan Broder <broder@mit.edu>  Mon, 21 Dec 2009 16:24:05 -0600

xvm-authz-locker (0.0.1) unstable; urgency=low

  * Initial release.

 -- Evan Broder <broder@mit.edu>  Tue, 15 Dec 2009 19:09:02 -0500
