=== packages/invirt-dev/debian/control ===
Source: invirt-dev
Section: servers
Priority: important
Maintainer: Invirt project <invirt@mit.edu>
Build-Depends: cdbs (>= 0.4.23-1.1), debhelper (>= 5), python-all-dev, python-support, python-setuptools, python-debian, python-apt
Standards-Version: 3.7.2

Package: invirt-dev
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}, dpkg-dev-el, emacs21, reprepro, apache2, postfix, screen, dh-make, fakeroot, quilt, patchutils, config-package-dev, pbuilder, equivs, invirt-base, invirt-database, remctl-server, update-inetd, openbsd-inetd | inet-superserver
Description: Invirt build and apt server
 This packages the build scripts and apt-repository configuration for Invirt.
