=== packages/invirt-vnc-client/debian/control ===
Source: invirt-vnc-client
Section: base
Priority: extra
Maintainer: Invirt project <invirt@mit.edu>
Build-Depends: cdbs (>= 0.4.23-1.1), debhelper (>= 4.1.0), quilt, sun-java6-jdk | java-compiler
Standards-Version: 3.7.2

Package: invirt-vnc-client
Architecture: all
Depends: ${misc:Depends}, java6-sdk, python, invirt-base
Description: Install the custom Invirt VNC client
