=== packages/invirt-xen-config/debian/rules ===
#!/usr/bin/make -f

DEB_DIVERT_EXTENSION = .invirt

DEB_DIVERT_FILES_invirt-xen-config += \
	/etc/xen/qemu-ifup.invirt \
	/etc/xen/xend-config.sxp.invirt \
	/etc/apt/preferences.invirt

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/rules/config-package.mk

common-build-indep:: debian/xend-config.sxp.invirt.mako

debian/xend-config.sxp.invirt.mako: $(call debian_check_files,/etc/xen/xend-config.sxp)
	debian/transform_xend-config.sxp.invirt.mako < $< > $@

clean::
	rm -f debian/xend-config.sxp.invirt.mako
